import org.opensim.utils as utils
import os 

def linspace(start, end, how_many):
	'''alternative to numpy linsapce'''
	incr = float(end - start)/(how_many - 1)
	return [start + i*incr for i in range(how_many-1)] + [end]

folder = utils.FileUtils.getInstance().browseForFolder('Choose a dirctory where STO/MOT files are located',0)

print('directory:', folder)

for i in os.listdir(folder):

	if i.endswith('.sto') or i.endswith('.mot'):

		fileName = os.path.join(folder,i)
		outputName = os.path.join(folder,i[:-4]+'_N101.sto')

		print(fileName)

		file = modeling.Storage(fileName)
		t0 = file.getFirstTime()
		t1 = file.getLastTime()
		# file.crop(t0, t1)
		# row = file.getSize()

		newTime = linspace(t0,t1,101)
		dt = newTime[1]-newTime[0]

		file.resampleLinear(dt)
		file.print(outputName)

print('FINISHED!!!')